Bug 16082 - Gnome-packageKit check connection with Gnome Network Manager
Summary: Gnome-packageKit check connection with Gnome Network Manager
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium major
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-23 23:51 UTC by Michele Renda
Modified: 2008-10-13 09:46 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michele Renda 2008-05-23 23:51:36 UTC
I can not to install a package because gnome-packagekit answer: "No connection available" - "Cannot install when offline".

In this moment I am online because I use the wvdial command to connect and my gprs modem is not supported by nm-applet. In a future I will use it to connect, but for now I need a workaroud to use packagekit to install programs.

I was thinking as a File -> Work Offline like in FireFox or Liferea. It is not elegant but it run :(

My compliments for your great job!
Comment 1 Richard Hughes 2008-05-24 00:58:11 UTC
Already fixed in git master, we fall back to UNIX network detection if NetworkManager is not running or UseNetworkManager=false in the config file. I'll be releasing 0.2.2 in a week or so's time.
Comment 2 Michele Renda 2008-05-24 01:01:57 UTC
Thank you for the reply.
I will wait impatiently for release 0.2.2

(In reply to comment #1)
> Already fixed in git master, we fall back to UNIX network detection if
> NetworkManager is not running or UseNetworkManager=false in the config file.
> I'll be releasing 0.2.2 in a week or so's time.
> 

Comment 3 Hedayat Vatankhah 2008-06-03 14:24:36 UTC
There is another issue too: sometimes the repository is local (e.g. a yum repository with file:/// url) and so no network connection is required. (For example I've configured my Fedora9 DVD as a repository). But I can't install any packages while NetworkManager is running, while no network connection is required for installing the packages.

Comment 4 Richard Hughes 2008-10-13 06:25:23 UTC
(In reply to comment #3)
> There is another issue too: sometimes the repository is local (e.g. a yum
> repository with file:/// url) and so no network connection is required. (For
> example I've configured my Fedora9 DVD as a repository). But I can't install
> any packages while NetworkManager is running, while no network connection is
> required for installing the packages.

You do still need to access the repos to check for newer versions or conflicts. What we have in 0.3.7 is probably optimal.

Comment 5 Hedayat Vatankhah 2008-10-13 09:46:16 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > There is another issue too: sometimes the repository is local (e.g. a yum
> > repository with file:/// url) and so no network connection is required. (For
> > example I've configured my Fedora9 DVD as a repository). But I can't install
> > any packages while NetworkManager is running, while no network connection is
> > required for installing the packages.
> 
> You do still need to access the repos to check for newer versions or conflicts.
> What we have in 0.3.7 is probably optimal.
> 

Yes, but since it is a local repository, it doesn't need network connection and so it should work without complaining about network connectivity. I don't know about what 0.3.7 does.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.